| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
BinaryProperty Class Reference

`#include <BinaryProperty.hpp>`

## Public Member Functions

| BinaryProperty ()
| BinaryProperty (const BinaryProperty &property)
| BinaryProperty (BinaryProperty &&property)
| BinaryProperty (const std::string &name, const std::vector< uint8_t > &value)
| BinaryProperty (std::string &&name, std::vector< uint8_t > &&value)
BinaryProperty & | operator= (const BinaryProperty &property)
BinaryProperty & | operator= (BinaryProperty &&property)
bool | operator== (const BinaryProperty &b) const
void | name (const std::string &name)
void | name (std::string &&name)
const std::string & | name () const
std::string & | name ()
void | value (const std::vector< uint8_t > &value)
void | value (std::vector< uint8_t > &&value)
const std::vector< uint8_t > & | value () const
std::vector< uint8_t > & | value ()
void | propagate (bool propagate)
bool | propagate () const
bool & | propagate ()

## Constructor & Destructor Documentation

## ◆ BinaryProperty() [1/5]

BinaryProperty | ( |  | ) |

inline

## ◆ BinaryProperty() [2/5]

BinaryProperty | ( | const BinaryProperty & | property | ) |

inline

## ◆ BinaryProperty() [3/5]

BinaryProperty | ( | BinaryProperty && | property | ) |

inline

## ◆ BinaryProperty() [4/5]

BinaryProperty | ( | const std::string & | name,
|  | const std::vector< uint8_t > & | value )

inline

## ◆ BinaryProperty() [5/5]

BinaryProperty | ( | std::string && | name,
|  | std::vector< uint8_t > && | value )

inline

## Member Function Documentation

## ◆ name() [1/4]

std::string & name | ( |  | ) |

inline

## ◆ name() [2/4]

const std::string & name | ( |  | ) | const

inline

## ◆ name() [3/4]

void name | ( | const std::string & | name | ) |

inline

## ◆ name() [4/4]

void name | ( | std::string && | name | ) |

inline

## ◆ operator=() [1/2]

BinaryProperty & operator= | ( | BinaryProperty && | property | ) |

inline

## ◆ operator=() [2/2]

BinaryProperty & operator= | ( | const BinaryProperty & | property | ) |

inline

## ◆ operator==()

bool operator== | ( | const BinaryProperty & | b | ) | const

inline

## ◆ propagate() [1/3]

bool & propagate | ( |  | ) |

inline

## ◆ propagate() [2/3]

bool propagate | ( |  | ) | const

inline

## ◆ propagate() [3/3]

void propagate | ( | bool | propagate | ) |

inline

## ◆ value() [1/4]

std::vector< uint8_t > & value | ( |  | ) |

inline

## ◆ value() [2/4]

const std::vector< uint8_t > & value | ( |  | ) | const

inline

## ◆ value() [3/4]

void value | ( | const std::vector< uint8_t > & | value | ) |

inline

## ◆ value() [4/4]

void value | ( | std::vector< uint8_t > && | value | ) |

inline

The documentation for this class was generated from the following file:

- include/fastdds/rtps/common/BinaryProperty.hpp